Verify Auth List Store

Check the status of an interactive authentication request (Poll for results). Support Headers, Query, and Body.

POST
https://api.wawp.net/v2/auth/list/verify?access_token=YOUR_TOKEN&instance_id=YOUR_INSTANCE&auth_id=539836

Authentication Required

Login to swap the placeholders with your real Instance ID and Access Token.

Log In
Test /v2/auth/list/verify endpoint
POSTGET

No query parameters required

This endpoint doesn't expect data in the URL.

Request Parameters

Configure the parameters required to interact with this endpoint. All query and body arguments are listed below with their details.

Request Body

Sent as a JSON object
string

The instance ID.

Example:
string

Your API access token (can also be in Authorization header).

Example:
string

The auth_id (or 'code') returned from the send request.

Example:

Request Samples

Use these ready-to-go code snippets to integrate our API into your project quickly and efficiently. Choose your preferred language and library.

1const baseUrl = "https://api.wawp.net";
2const endpoint = "/v2/auth/list/verify";
3const params = new URLSearchParams({
4 "instance_id": "YOUR_INSTANCE",
5 "access_token": "YOUR_TOKEN"
6}).toString();
7const body = {
8 "auth_id": "539836"
9};
10
11fetch(`${baseUrl}${endpoint}${params ? '?' + params : ''}`, {
12 method: "POST",
13 headers: { "Content-Type": "application/json" },
14 body: JSON.stringify(body)
15})
16 .then(async (response) => {
17 if (response.ok) {
18 const data = await response.json();
19 console.log("Success:", data);
20 return data;
21 }
22
23 // Error Handling
24
25
26 const errorText = await response.text();
27 console.error(`Error ${response.status}: ${errorText}`);
28 })
29 .catch((error) => console.error("Network Error:", error));
Interactive Samples
Ln 29, Col 1javascript

Expected Responses

Explore all possible responses and outcomes from the server. We have documented each status code with data examples to make success and error handling easier.

Command Palette

Search for a command to run...